WordPress.org

Ready to get started?Download WordPress

Forums

Problem with Recent Comments Plugin (5 posts)

  1. HexiumVII
    Member
    Posted 8 years ago #

    This plugin is awesome however recently i'm getting this error when trying to go to the options:

    Fatal error: Cannot redeclare kjgrc_subpage_gravatar() in /home/dakota/public_html/wp-content/plugins/get-recent-comments.php on line 23

    The plugin still works however and if i disable it i can edit the options. Anyone know why this is? Wordpres 2.0 other plugins include Gravatars, Comvatars, Content with show/hide javascript for "more", WPCRon

  2. argentine
    Member
    Posted 8 years ago #

    I have the same problem since 2.01 wordpress version but still working, just can't go to the option page with same error message

  3. yidaho
    Member
    Posted 8 years ago #

    Googled a solution that seems to work.

    Open get-recent-comments.php in editor

    Find line

    if ( function_exists("is_plugin_page") && is_plugin_page() ) { kjgrc_options_page(); return; }

    And replace with

    add_action('options_page_get-recent-comments', 'kjgrc_options_page');

    Good luck.

  4. Chantal Coolsma
    Member
    Posted 7 years ago #

    The add_action command didn't solve it for me... Any other solutions?

    (WP 2.0.4)

  5. kjodies
    Member
    Posted 7 years ago #

    Chantal, please try the newest version of the plugin and give me feedback, if it still does not work for you.

    krischan@jodies.de

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags

No tags yet.